#ifndef UNIXDESKTOPENVIRONMENT_H
#define UNIXDESKTOPENVIRONMENT_H

#include <QObject>

/*!
 * \brief The MUnixDesktopEnvironmentment class
 *
 * This class isn't supposed to be instantiated.
 * Use the static detect() method to detect the used desktop environment.
 */
class MUnixDesktopEnvironment
{
    Q_GADGET

public:
    enum DesktopEnvironment {
        DesktopEnvironment_Gnome,
        DesktopEnvironment_Kde4,
        DesktopEnvironment_Plasma5,
        DesktopEnvironment_Unity,
        DesktopEnvironment_Xfce,
        DesktopEnvironment_Other
    };
    Q_ENUM(DesktopEnvironment)

    /*!
     * \brief Detects the used desktop environment. The result is cached.
     * \return Returns the detected desktop environment.
     *
     * \code
     * qDebug() << MUnixDesktopEnvironment::detect();
     * \endcode
     */
    static DesktopEnvironment detect();

private:
    MUnixDesktopEnvironment();
};

#endif // UNIXDESKTOPENVIRONMENT_H
