#ifndef GNOMEKEYRINGKEYSTORE_H
#define GNOMEKEYRINGKEYSTORE_H

#include "Core/keystore.h"

class GnomeKeyringKeyStore : public KeyStore
{
    Q_OBJECT

public:
    explicit GnomeKeyringKeyStore(QObject *parent = 0);
    ~GnomeKeyringKeyStore();
    
    void retrievePasswordSync(QSharedPointer<Stash> stash);

public:
    static bool isAvailable();
    static QString statusMessage();

public slots:
    virtual void storePassword(QSharedPointer<Stash> stash, const QString &password) override;
    virtual void retrievePassword(QSharedPointer<Stash> stash);
    virtual void deletePassword(QSharedPointer<Stash> stash);

private:
    static bool m_isInitialized;
    static bool m_isAvailable;
    static QString m_statusMessage;

    static bool init();
};

#endif // GNOMEKEYRINGKEYSTORE_H
