#ifndef LIBSECRETKEYSTORE_H
#define LIBSECRETKEYSTORE_H

#include "Core/keystore.h"

class LibSecretKeyStore : public KeyStore
{
    Q_OBJECT

public:
    explicit LibSecretKeyStore(QObject *parent = 0);
    void retrievePasswordSync(QSharedPointer<Stash> stash);


public:
    static bool isAvailable();
    static QString statusMessage();

signals:
    void _storePasswordFinished(bool success, const QString &message = QLatin1String());
    void _retrievePasswordFinished(bool success, const QString &passwordOrMessage = QLatin1String());
    void _deletePasswordFinished(bool success, const QString &message = QLatin1String());

public slots:
    virtual void storePassword(QSharedPointer<Stash> stash, const QString &password) override;
    virtual void retrievePassword(QSharedPointer<Stash> stash);
    virtual void deletePassword(QSharedPointer<Stash> stash);

private:
    static bool m_isInitialized;
    static bool m_isAvailable;
    static QString m_statusMessage;



    static bool init();
};

#endif // LIBSECRETKEYSTORE_H
