#ifndef QTKEYCHAINKEYSTORE_H
#define QTKEYCHAINKEYSTORE_H

#include "Core/keystore.h"

class QtKeychainKeyStore : public KeyStore
{
    Q_OBJECT

public:
    explicit QtKeychainKeyStore(QObject *parent = nullptr);
    ~QtKeychainKeyStore();

public:
    static bool isAvailable();
    static QString statusMessage();

public slots:
    virtual void storePassword(QSharedPointer<Stash> stash, const QString &password) override;
    virtual void retrievePassword(QSharedPointer<Stash> stash) override;
    virtual void deletePassword(QSharedPointer<Stash> stash) override;

private:

};

#endif // QTKEYCHAINKEYSTORE_H
