#ifndef CONFIGURESTASHEXPERTPAGE_H
#define CONFIGURESTASHEXPERTPAGE_H

// Qt
#include <QSharedPointer>
#include <QWizardPage>

class Stash;

namespace Ui {
class ConfigureStashExpertPage;
}

class ConfigureStashExpertPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit ConfigureStashExpertPage(const QSharedPointer<Stash> &stash, QWidget *parent = nullptr);
    ~ConfigureStashExpertPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void on_button_encfsConfigFile_clicked();
    void encfsConfigFileChanged(const QString &encfsConfigFile);
    void keyringNameChanged(const QString &encfsConfigFile);

    void on_label_help_linkActivated(const QString &link);

private:
    Ui::ConfigureStashExpertPage *ui;
    QSharedPointer<Stash> m_stash;
    bool m_initialized;
    QSize m_size;
};

#endif // CONFIGURESTASHEXPERTPAGE_H
