#ifndef REMOVESTASHPAGE_H
#define REMOVESTASHPAGE_H

// Qt
#include <QSharedPointer>
#include <QWizardPage>

class Stash;

namespace Ui {
class RemoveStashPage;
}

class RemoveStashPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit RemoveStashPage(const QSharedPointer<Stash> &stash, QWidget *parent = nullptr);
    ~RemoveStashPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void on_button_remove_clicked();
    void on_label_help_linkActivated(const QString &link);
    void deleteResult(bool success, const QString &message);
    void stashRemoved(const QSharedPointer<Stash> &stash);

    void validate();

private:
    Ui::RemoveStashPage *ui;
    QSharedPointer<Stash> m_stash;
    bool m_initialized;
    QSize m_size;
};

#endif // REMOVESTASHPAGE_H
