#include "selectdisableditemdelegate.h"

//Qt
#include <QApplication>
#include <QDebug>

SelectDisabledItemDelegate::SelectDisabledItemDelegate(QObject *parent) : QStyledItemDelegate(parent)
{

}


void SelectDisabledItemDelegate::paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const
{
    QStyleOptionViewItem opt = option;
    initStyleOption(&opt, index);

    opt.rect.setWidth(qobject_cast<QWidget*>(parent())->width());
    opt.text = QLatin1String();

    if (index.flags() & Qt::ItemIsUserCheckable) {
        opt.state |= QStyle::State_Enabled;
    } else {
        opt.state &= ~QStyle::State_Enabled;
    }

    QApplication::style()->drawControl(QStyle::CE_ItemViewItem, &opt, painter);

    opt = option;
    initStyleOption(&opt, index);
    opt.state &= ~QStyle::State_HasFocus;

    if (index.flags() & Qt::ItemIsUserCheckable) {
        opt.state |= QStyle::State_Enabled;
    } else {
        opt.state &= ~QStyle::State_Enabled;
    }

    QApplication::style()->drawControl(QStyle::CE_ItemViewItem, &opt, painter);
}
