#ifndef STASHGROUPWIDGET_H
#define STASHGROUPWIDGET_H

// Qt
#include <QVariant>
#include <QWidget>

namespace Ui {
class StashgroupWidget;
}

class StashgroupWidget : public QWidget
{
    Q_OBJECT

    Q_PROPERTY(QVariant selectedStashGroup READ selectedStashGroup WRITE setSelectedStashGroup NOTIFY selectedStashGroupChanged)

public:
    explicit StashgroupWidget(QWidget *parent = 0);
    ~StashgroupWidget();

    QVariant selectedStashGroup() const;
    int selectedStashGroupRow() const;

signals:
    void selectedStashGroupChanged(const QVariant &selectedStashGroup);

private slots:
    void on_button_add_clicked();

    void on_button_remove_clicked();

private:
    Ui::StashgroupWidget *ui;
    QVariant m_selectedStashGroup;
    int m_selectedStashGroupRow;

    void setSelectedStashGroup(const QVariant &selectedStashGroup);

    friend class StashgroupModel;
    friend class HeaderNavigationFilter;
    friend class DefaultNavigationFilter;
    friend class StashGroupsNavigationFilter;
};

#endif // STASHGROUPWIDGET_H
